package com.sundot.airport.web.controller.ledger;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.sundot.airport.common.annotation.Log;
import com.sundot.airport.common.core.controller.BaseController;
import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.common.core.page.TableDataInfo;
import com.sundot.airport.common.enums.BusinessType;
import com.sundot.airport.common.utils.poi.ExcelUtil;
import com.sundot.airport.ledger.domain.LedgerUnsafeEvent;
import com.sundot.airport.ledger.service.ILedgerUnsafeEventService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 * 不安全事件记录Controller
 */
@RestController
@RequestMapping("/ledger/unsafeEvent")
public class LedgerUnsafeEventController extends BaseController {

    @Autowired
    private ILedgerUnsafeEventService service;

    @PreAuthorize("@ss.hasPermi('ledger:unsafeEvent:list')")
    @GetMapping("/list")
    public TableDataInfo list(LedgerUnsafeEvent query) {
        startPage();
        List<LedgerUnsafeEvent> list = service.selectList(query);
        return getDataTable(list);
    }

    @PreAuthorize("@ss.hasPermi('ledger:unsafeEvent:export')")
    @Log(title = "不安全事件记录", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, LedgerUnsafeEvent query) {
        List<LedgerUnsafeEvent> list = service.selectList(query);
        ExcelUtil<LedgerUnsafeEvent> util = new ExcelUtil<>(LedgerUnsafeEvent.class);
        util.exportExcel(response, list, "不安全事件记录");
    }

    @PreAuthorize("@ss.hasPermi('ledger:unsafeEvent:query')")
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return AjaxResult.success(service.getById(id));
    }
}
